<?php

include('/usr/fallback/beroConf.php');

# redirect to update-tool if boot_fwupdate is set to 1.
$bc = new beroConf('root');
if (file_exists('/tmp/enable_recovery')) {
	$bc->set('root', 'boot_fwupdate', '0');
	header('Location:/');
	exit();
}

if ($bc->get('root', 'boot_fwupdate') == '1') {
	header('Location:/cgi-bin/update-tool.php');
	exit();
}


chdir('..');
include "./includes/variables.php";
include "./misc/database.php";
$ba = new beroAri();
if ($ba->get('httpsOnly')=='1' && $_SERVER['SERVER_PORT'] == '80'){ header('Location: https://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']); exit;}
require_once("./includes/lang.php");

function display_reason ($reason) {

	if (!isset($reason)) {
		return;
	}

	switch ($reason) {
		case 'cred_empty':
			$line = 'Credentials Incomplete';
			break;
		case 'cred_user':
			$line = 'User Unknown';
			break;
		case 'cred_pass':
			$line = 'Password Incorrect';
			break;
		case 'sess_expd':
			$line = 'Session Expired';
			break;
	}

	echo $line;
}

if (!empty($_GET['m'])) {
	$open_parm = '?m=' . $_GET['m'];
} elseif (!empty($_GET['userapp'])) {
	$open_parm = '?userapp=' . $_GET['userapp'];
}

?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 Transitional//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<meta http-equiv="cache-control" content="no-cache"/>
		<link rel="icon" href="images/favicon.ico" type="image/x-icon" />
		<link rel="stylesheet" type="text/css" href="template_css.css" />
                <script type="text/javascript" language="javascript" src="js/jquery-1.7.2.min.js"></script>
                <script type="text/javascript" language="javascript" src="js/jquery-validation/jquery.validate.min.js"></script>
		<title><? echo LOGIN_TITLE_DIS; ?></title>
		<script type="text/javascript" src="validation_modul.js"></script>
		<script>
			function userfocus(){
				var user= document.getElementById('user');
				user.focus();
			}
		</script>
	</head>
	<body onload="userfocus();">

            <div class="container">
                <div id="header">
        <div id="logo"><a href="http://www.beronet.com" target="_blank" onfocus="if (this.blur()) { this.blur(); }">
        <img src="images/beroNet.jpg" alt="beroNet" class="png"/>
        </a>
</div>
                </div>
	<div class="span-16 last">
		<div id="sidebar" class="center">
		<img src="images/beroNet_gross.jpg"/>
		</div><!-- sidebar -->
	</div>
	<div class="span-9">
		<div id="content">



<form class="beroari_form" id="login" action="validate.php<?php echo $open_parm; ?>" method="post">
<br/>
<?php display_reason($_GET['reason']); ?>
<div class="row-login">
    <label for="user"><?php echo LOGIN_USER_DIS; ?></label>
</div>
<div class="row-login">
<input type="text" name="user" id="loginUser" required="true" size="20" maxlength="20" id="user"/>
</div>
<div class="row-login">
    <label for="user"><?php echo LOGIN_PASSWORD_DIS; ?></label>
</div>
<div class="row-login">
<input type="password" id="loginPassword" name="password" size="20"/>
</div>
<div class="row-login">
<input type="submit" value="<?php echo LOGIN_LOGIN_DIS; ?>"/>
</div>
</form>
<script>
    $("#login").validate();
</script>
                    </div><!-- content -->
	</div>
<?php 
$helpPath="./images/";
include 'includes/footer.php'; 
?>



